Browse Source

parcel 1.7.0

canonical-url
Jeremy Danyow 4 years ago
parent
commit
7da2e24c5e
No known key found for this signature in database
GPG Key ID: 96C45DE6B2C1DF40
  1. 1
      .gitignore
  2. 0
      .nojekyll
  3. 1
      CNAME
  4. 15
      package.json
  5. 5
      src/index.html
  6. 50
      yarn.lock

1
.gitignore vendored

@ -2,3 +2,4 @@ @@ -2,3 +2,4 @@
chrome
dist
node_modules
yarn-error.log

1
CNAME

@ -1 +0,0 @@ @@ -1 +0,0 @@
utteranc.es

15
package.json

@ -11,18 +11,17 @@ @@ -11,18 +11,17 @@
"scripts": {
"clean": "rm -rf .cache & rm -rf dist",
"prestart": "yarn run clean",
"start": "parcel src/utterances.html --no-hmr --public-url / --port 4000 & parcel watch src/client.ts & parcel watch src/index.html & parcel watch src/authorized.html",
"start": "parcel src/index.html --no-hmr --public-url / --port 4000",
"prebuild": "yarn run clean",
"build": "parcel build src/utterances.html && parcel build src/client.ts && parcel build src/index.html && parcel build src/authorized.html",
"predeploy": "yarn run build && cp .nojekyll dist/ && cp CNAME dist/",
"deploy": "gh-pages --dist dist",
"(postinstall is temporary: using unreased version of parcel)": "",
"postinstall": "cd node_modules/parcel-bundler && yarn install && yarn build && cd ../.."
"build": "parcel build src/index.html",
"lint": "tslint --project tsconfig.json",
"predeploy": "yarn run build && touch dist/.nojekyll && echo 'utteranc.es' > dist/CNAME",
"deploy": "gh-pages --dist dist"
},
"devDependencies": {
"gh-pages": "^1.1.0",
"node-sass": "^4.8.3",
"parcel-bundler": "parcel-bundler/parcel#master",
"parcel-bundler": "^1.7.0",
"posthtml-expressions": "^1.1.0",
"posthtml-include": "^1.1.0",
"posthtml-md": "^1.1.0",
@ -33,6 +32,6 @@ @@ -33,6 +32,6 @@
"primer-markdown": "^3.7.5",
"primer-navigation": "^1.5.3",
"tslint": "^5.9.1",
"typescript": "^2.7.2"
"typescript": "^2.8.1"
}
}

5
src/index.html

@ -75,5 +75,10 @@ @@ -75,5 +75,10 @@
ga('create', 'UA-59973368-11', 'auto');
ga('send', 'pageview');
</script>
<!-- Workaround parcel's lack of support for multiple entry points. -->
<a href="./utterances.html" style="display:none"></a>
<a href="./authorized.html" style="display:none"></a>
<a href="./client.ts" style="display:none"></a>
</body>
</html>

50
yarn.lock

@ -159,8 +159,8 @@ asynckit@^0.4.0: @@ -159,8 +159,8 @@ asynckit@^0.4.0:
resolved "https://registry.yarnpkg.com/asynckit/-/asynckit-0.4.0.tgz#c79ed97f7f34cb8f2ba1bc9790bcc366474b4b79"
atob@^2.0.0:
version "2.0.3"
resolved "https://registry.yarnpkg.com/atob/-/atob-2.0.3.tgz#19c7a760473774468f20b2d2d03372ad7d4cbf5d"
version "2.1.0"
resolved "https://registry.yarnpkg.com/atob/-/atob-2.1.0.tgz#ab2b150e51d7b122b9efc8d7340c06b6c41076bc"
autoprefixer@^6.3.1:
version "6.7.7"
@ -919,12 +919,12 @@ caniuse-api@^1.5.2: @@ -919,12 +919,12 @@ caniuse-api@^1.5.2:
lodash.uniq "^4.5.0"
caniuse-db@^1.0.30000529, caniuse-db@^1.0.30000634, caniuse-db@^1.0.30000639:
version "1.0.30000820"
resolved "https://registry.yarnpkg.com/caniuse-db/-/caniuse-db-1.0.30000820.tgz#7c20e25cea1768b261b724f82e3a6a253aaa1468"
version "1.0.30000821"
resolved "https://registry.yarnpkg.com/caniuse-db/-/caniuse-db-1.0.30000821.tgz#3fcdc67c446a94a9cdd848248a4e3e54b2da7419"
caniuse-lite@^1.0.30000792:
version "1.0.30000820"
resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30000820.tgz#6e36ee75187a2c83d26d6504a1af47cc580324d2"
version "1.0.30000821"
resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30000821.tgz#0f3223f1e048ed96451c56ca6cf197058c42cb93"
caseless@~0.11.0:
version "0.11.0"
@ -1140,8 +1140,8 @@ copy-descriptor@^0.1.0: @@ -1140,8 +1140,8 @@ copy-descriptor@^0.1.0:
resolved "https://registry.yarnpkg.com/copy-descriptor/-/copy-descriptor-0.1.1.tgz#676f6eb3c39997c2ee1ac3a924fd6124748f578d"
core-js@^2.4.0, core-js@^2.5.0:
version "2.5.3"
resolved "https://registry.yarnpkg.com/core-js/-/core-js-2.5.3.tgz#8acc38345824f16d8365b7c9b4259168e8ed603e"
version "2.5.4"
resolved "https://registry.yarnpkg.com/core-js/-/core-js-2.5.4.tgz#f2c8bf181f2a80b92f360121429ce63a2f0aeae0"
core-util-is@1.0.2, core-util-is@~1.0.0:
version "1.0.2"
@ -1502,8 +1502,8 @@ ee-first@1.1.1: @@ -1502,8 +1502,8 @@ ee-first@1.1.1:
resolved "https://registry.yarnpkg.com/ee-first/-/ee-first-1.1.1.tgz#590c61156b0ae2f4f0255732a158b266bc56b21d"
electron-to-chromium@^1.2.7, electron-to-chromium@^1.3.30:
version "1.3.40"
resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.3.40.tgz#1fbd6d97befd72b8a6f921dc38d22413d2f6fddf"
version "1.3.41"
resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.3.41.tgz#7e33643e00cd85edfd17e04194f6d00e73737235"
elliptic@^6.0.0:
version "6.4.0"
@ -2338,8 +2338,8 @@ is-typedarray@~1.0.0: @@ -2338,8 +2338,8 @@ is-typedarray@~1.0.0:
resolved "https://registry.yarnpkg.com/is-typedarray/-/is-typedarray-1.0.0.tgz#e479c80858df0c1b11ddda6940f96011fcda4a9a"
is-url@^1.2.2:
version "1.2.3"
resolved "https://registry.yarnpkg.com/is-url/-/is-url-1.2.3.tgz#42f6487f61795154b098246954412048f7ab120b"
version "1.2.4"
resolved "https://registry.yarnpkg.com/is-url/-/is-url-1.2.4.tgz#04a4df46d28c4cff3d73d01ff06abeb318a1aa52"
is-utf8@^0.2.0:
version "0.2.1"
@ -2596,8 +2596,8 @@ map-visit@^1.0.0: @@ -2596,8 +2596,8 @@ map-visit@^1.0.0:
object-visit "^1.0.0"
marked@^0.3.5:
version "0.3.18"
resolved "https://registry.yarnpkg.com/marked/-/marked-0.3.18.tgz#3ef058cd926101849b92a7a7c15db18c7fc76b2f"
version "0.3.19"
resolved "https://registry.yarnpkg.com/marked/-/marked-0.3.19.tgz#5d47f709c4c9fc3c216b6d46127280f40b39d790"
math-expression-evaluator@^1.2.14:
version "1.2.17"
@ -3006,9 +3006,9 @@ pako@~1.0.5: @@ -3006,9 +3006,9 @@ pako@~1.0.5:
version "1.0.6"
resolved "https://registry.yarnpkg.com/pako/-/pako-1.0.6.tgz#0101211baa70c4bca4a0f63f2206e97b7dfaf258"
parcel-bundler@parcel-bundler/parcel#master:
version "1.6.2"
resolved "https://codeload.github.com/parcel-bundler/parcel/tar.gz/fc041d03c36bf41ea73c398e8d177de1a456e796"
parcel-bundler@^1.7.0:
version "1.7.0"
resolved "https://registry.yarnpkg.com/parcel-bundler/-/parcel-bundler-1.7.0.tgz#8c2512615fd602d2f39bd97bfd128f8fe524b321"
dependencies:
babel-code-frame "^6.26.0"
babel-core "^6.25.0"
@ -4129,7 +4129,11 @@ static-module@^2.2.0: @@ -4129,7 +4129,11 @@ static-module@^2.2.0:
static-eval "^2.0.0"
through2 "~2.0.3"
"statuses@>= 1.3.1 < 2", statuses@~1.4.0:
"statuses@>= 1.3.1 < 2":
version "1.5.0"
resolved "https://registry.yarnpkg.com/statuses/-/statuses-1.5.0.tgz#161c7dac177659fd9811f43771fa99381478628c"
statuses@~1.4.0:
version "1.4.0"
resolved "https://registry.yarnpkg.com/statuses/-/statuses-1.4.0.tgz#bb73d446da2796106efcc1b601a253d6c46bd087"
@ -4377,8 +4381,8 @@ tslint@^5.9.1: @@ -4377,8 +4381,8 @@ tslint@^5.9.1:
tsutils "^2.12.1"
tsutils@^2.12.1:
version "2.22.2"
resolved "https://registry.yarnpkg.com/tsutils/-/tsutils-2.22.2.tgz#0b9f3d87aa3eb95bd32d26ce2b88aa329a657951"
version "2.25.0"
resolved "https://registry.yarnpkg.com/tsutils/-/tsutils-2.25.0.tgz#14d616ef59224a3c9fb7eb483e1c182b6665ae5e"
dependencies:
tslib "^1.8.1"
@ -4410,9 +4414,9 @@ typedarray@^0.0.6: @@ -4410,9 +4414,9 @@ typedarray@^0.0.6:
version "0.0.6"
resolved "https://registry.yarnpkg.com/typedarray/-/typedarray-0.0.6.tgz#867ac74e3864187b1d3d47d996a78ec5c8830777"
typescript@^2.7.2:
version "2.7.2"
resolved "https://registry.yarnpkg.com/typescript/-/typescript-2.7.2.tgz#2d615a1ef4aee4f574425cdff7026edf81919836"
typescript@^2.8.1:
version "2.8.1"
resolved "https://registry.yarnpkg.com/typescript/-/typescript-2.8.1.tgz#6160e4f8f195d5ba81d4876f9c0cc1fbc0820624"
uglify-es@^3.2.1:
version "3.3.9"

Loading…
Cancel
Save